using System;

namespace _A__ISPLATA
{
    class Program
    {
        static void Main(string[] args)
        {
            int prviBroj,potrebnoNovcanica = 0;
            Int64 ulaz;
            ulaz = Int64.Parse(Console.ReadLine());
            while(ulaz > 0)
            {
                prviBroj = int.Parse(ulaz.ToString()[0].ToString());
                potrebnoNovcanica += prviBroj / 5;
                prviBroj = prviBroj % 5;
                potrebnoNovcanica += prviBroj / 2;
                prviBroj = prviBroj % 2;
                potrebnoNovcanica += prviBroj;
                if(ulaz.ToString().Length == 1)
                {
                    ulaz = 0;
                }
                else
                {
                    ulaz = Int64.Parse(ulaz.ToString().Substring(1));
                }
            }
            Console.WriteLine(potrebnoNovcanica);
        }
    }
}